MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
LTIViewerImageFilter Class Reference

performs datatype and colorspace transforms on an image to make it displayable More...

`#include <lti_viewerImageFilter.h>`

Inheritance diagram for LTIViewerImageFilter:
[legend]
Collaboration diagram for LTIViewerImageFilter:
[legend]

## Public Member Functions
LT_STATUS | initialize (LTIImageStage *srcImage, bool useDynamicRange, bool useBGR)
| initializer More...
virtual lt_uint32 | getModifications (const LTIScene &scene) const
| get the modification bitfield for this image More...
Public Member Functions inherited from LTIImageFilter
lt_uint32 | getWidth () const
| get image width More...
lt_uint32 | getHeight () const
| get image height More...
LT_STATUS | getDimsAtMag (double mag, lt_uint32 &width, lt_uint32 &height) const
| get image width and height at given magnification More...
const LTIPixel & | getPixelProps () const
| get the pixel properties of the image More...
const LTIPixel * | getBackgroundPixel () const
| get the values of the background pixel More...
const LTIPixel * | getNoDataPixel () const
| get the values of the "no data" (transparency) pixel More...
const LTIPixelLookupTable * | getPixelLookupTable () const
| get the color lookup table, if any More...
const LTIPixel & | getMinDynamicRange () const
| get the minimum dynamic range value of image More...
const LTIPixel & | getMaxDynamicRange () const
| get the maximum dynamic range value of image More...
const LTIGeoCoord & | getGeoCoord () const
| get the geographic coordinates of the image More...
bool | isGeoCoordImplicit () const
| is geo information "real" or not More...
const LTIMetadataDatabase & | getMetadata () const
| get the metadata associated with the image More...
double | getMinMagnification () const
| get the minimum magnification More...
double | getMaxMagnification () const
| get the maximum magnification More...
bool | isSelective () const
| check if image supports "random access" decoding More...
LT_STATUS | getMetadataBlob (const char *type, LTIOStreamInf *&stream) const
| extract the metadata associated with the image of the given type More...
void | setProgressDelegate (LTIProgressDelegate *delegate)
| set progress delegate More...
LTIProgressDelegate * | getProgressDelegate () const
| get progress delegate More...
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
| set interrupt delegate More...
LTIInterruptDelegate * | getInterruptDelegate () const
| get interrupt delegate More...
lt_uint32 | getStripHeight () const
| get strip height More...
LT_STATUS | setStripHeight (lt_uint32 stripHeight)
| set the strip height More...
lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode this scene More...
bool | getReaderScene (const LTIScene &decodeScene, LTIScene &readerScene) const
| get the underlying scene to be used More...
LT_STATUS | overrideBackgroundPixel (const LTIPixel *backgroundPixel)
| override the background color of the image More...
LT_STATUS | overrideNoDataPixel (const LTIPixel *nodataPixel)
| override the "no data" (transparency) color of the image More...
LT_STATUS | overrideGeoCoord (const LTIGeoCoord &geoCoord)
| override the geographic coordinates of the image More...
LT_STATUS | overrideDynamicRange (const LTIPixel &drmin, const LTIPixel &drmax)
| override the dynamic range of the image More...
LT_STATUS | overridePixelBPS (lt_uint8)
| override the bits-per-sample of the image's (sample's) datatype More...
LT_STATUS | overridePixelLookupTable (const LTIPixelLookupTable *pixelLookupTable)
| override the CLUT of the image More...
LT_STATUS | overrideMetadata (const LTIMetadataDatabase &metadata)
| override the metadata of the image More...
LTIMaskSource * | getMask () const
bool | getPipelineInfo (LTIPipelineInfo info) const
LTIImageStage * | getPreviousStage (void) const
Public Member Functions inherited from LTIImageStage
LT_STATUS | read (const LTIScene &scene, LTISceneBuffer &buffer)
| read (decode) a scene from the image More...
virtual LT_STATUS | readBegin (const LTIPixel &pixelProps, const LTIScene &fullScene)
| start strip-based read More...
virtual LT_STATUS | readStrip (LTISceneBuffer &buffer, const LTIScene &stripScene)
| read a strip from the image More...
virtual LT_STATUS | readEnd ()
| finish strip-based read More...
lt_uint32 | getNumStrips () const
| get number of strips in scene More...
LTIScene | getStripScene (lt_uint32 stripNumber) const
| get a strip for current scene More...
Public Member Functions inherited from LTIImage
lt_uint16 | getNumBands () const
| get number of bands More...
lt_uint16 | getNumBandsWithoutAlpha () const
| get number of bands without alpha More...
LTIColorSpace | getColorSpace () const
| get colorspace More...
LTIDataType | getDataType () const
| get data type More...
bool | isNaturalDynamicRange () const
| check if the range is "complete" or not More...
lt_int64 | getNominalImageSizeWithoutAlpha () const
| get the nominal size of the image, not considering the alpha band More...
lt_int64 | getNominalImageSizeWithAlpha () const
| get the nominal size of the image, including the alpha band More...
void | getGeoPoint (LTIPosition position, double &x, double &y) const
| get position of a named point More...
LTIPixel * | createBackgroundPixel () const
| return new background pixel More...
Public Member Functions inherited from LTIReferenceCountedObject
virtual void | retain (void) const
| increment reference counter More...
virtual void | release (void) const
| decrement the reference counter and delete the object when the counter is zero More...

## Static Public Member Functions
static LTIViewerImageFilter * | create (void)

## Protected Member Functions
| LTIViewerImageFilter (void)
virtual | ~LTIViewerImageFilter (void)
Protected Member Functions inherited from LTIImageFilter
| LTIImageFilter (void)
virtual | ~LTIImageFilter (void)
LT_STATUS | decodeBegin (const LTIPixel &pixelProps, const LTIScene &fullScene)
| start strip-based read More...
LT_STATUS | decodeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| read a strip from the image More...
LT_STATUS | decodeEnd (void)
| finish strip-based read More...
LT_STATUS | init (LTIImageStage *previousStage)
void | releasePreviousStageNow (void)
void | changePreviousStage (LTIImageStage *newPref)
Protected Member Functions inherited from LTIImageStage
| LTIImageStage (void)
virtual | ~LTIImageStage (void)
LT_STATUS | fillBackground (const LTIScene &scene, LTISceneBuffer &buffer)
| fill the background of the scene More...
LT_STATUS | fillBackground (const LTIScene &scene, LTISceneBuffer &buffer, const LTIPixel &color)
| fill the scene to given pixel More...
bool | isBandSelected (const LTIPixel &pixelProps) const
const LTIScene & | getFullScene () const
| get full scene More...
Protected Member Functions inherited from LTIImage
| LTIImage (void)
virtual | ~LTIImage (void)
Protected Member Functions inherited from LTIReferenceCountedObject
| LTIReferenceCountedObject (void)
virtual | ~LTIReferenceCountedObject (void)

## Detailed Description

This class wraps the LTIDataType, LTIColorTransformer, and LTIDynamicRangeFilter classes in order to transform the input image into an unsigned 8-bit datatype with colorspace greyscale or RGB, as is required by most display engines.

Definition at line 30 of file lti_viewerImageFilter.h.

## Constructor & Destructor Documentation

LTIViewerImageFilter::LTIViewerImageFilter | ( | void | ) |  |
| protected

virtual LTIViewerImageFilter::~LTIViewerImageFilter | ( | void | ) |  |
| protected virtual

## Member Function Documentation

static LTIViewerImageFilter* LTIViewerImageFilter::create | ( | void | ) |  |
| static

virtual lt_uint32 LTIViewerImageFilter::getModifications | ( | const LTIScene & | scene) |  | const
| virtual

This function returns a bitfield describing what kinds of modifications have been made to the image during and since its initial encoding.

Parameters

  scene | the area pertaining to this request

Returns
  a bitfield itemizing the encoding modifications

Reimplemented from LTIImageFilter.

LT_STATUS LTIViewerImageFilter::initialize | ( | LTIImageStage * | srcImage,
|  | bool | useDynamicRange,
|  | bool | useBGR
| ) |  |

Transforms the input image to unsigned 8-bit samples and a colorspace of either greyscale or RGB. This allows the image's pixels to be more easily passed to command rendering engines.

The class also allows for the dynamic range of the image to be adjusted to make the image's histogram fit the datatype width. RGB pixels can also be remapped to be in BGR format (as is required for Windows bitmaps).

Parameters

  srcImage | the input image
  useDynamicRange | if set, the image data will be scaled according to the dynamic range metadata in the image (if any)
  useBGR | if set, RGB samples will be remapped to BGR format

The documentation for this class was generated from the following file:

- lti_viewerImageFilter.h

LizardTech